%define name	iv
%define version 1.2.1
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Image Viewer
Group:		Graphics
License:	GPL
URL: 		http://wolfpack.twu.net/IV/
Source: 	http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
BuildRequires:	XFree86-devel
BuildRequires:	gtk+-devel
BuildRequires:	imlib2-devel
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Sometimes reffered to as ImgView or IV, this is a basic image viewer
with pan and zoom capabilities, depends on GTK+ and Imlib. Can also
save to many different formats, display transparency, crop, print, and
do window grabs.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
%make all

%install
rm -rf %{buildroot}
%make PREFIX=%{buildroot}%_prefix MAN_DIR=%{buildroot}%{_mandir}/man1 install

# icons
convert iv/%{name}.xpm -resize 16x16 %{name}-16.png
convert iv/%{name}.xpm -resize 32x32 %{name}-32.png
convert iv/%{name}.xpm %{name}-48.png
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/%{name}"\\
	needs="x11"\\
	icon="%{name}.png"\\
	section="Multimedia/Graphics"\\
	title="IV" \
	longtitle="Image browser"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdk
- New release 1.2.1
- spec cleanup

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.8-2mdk 
- explicit libdir

* Fri Jun 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.8-1mdk 
- new version
- rpmbuildupdate aware

* Fri Jan 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.3-1mdk
- new version
- dropped patch

* Thu Jan 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.2-1mdk
- new version
- corrected URL
- buildrequires
- fix build

* Sun Jan 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.1-1mdk
- new version

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.1.15-1mdk
- new version
- rediff patch
- used ImageMagick for icons

* Thu May 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.12-1mdk
- 0.1.12

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-3mdk
- rebuild

* Wed May 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.9-2mdk
- build with gcc3.1

* Fri Feb 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.9-1mdk
- first mdk release
